org.apache.hadoop.hdfs.server.diskbalancer.planner

## Class PlannerFactory

- java.lang.Object
- - org.apache.hadoop.hdfs.server.diskbalancer.planner.PlannerFactory

-     public final class PlannerFactory
      extends Object

  Returns a planner based on the user defined tags.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GREEDY_PLANNER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Planner` | `getPlanner(String plannerName, DiskBalancerDataNode node, double threshold)` Gets a planner object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GREEDY_PLANNER

          public static final String GREEDY_PLANNER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPlanner

          public static Planner getPlanner(String plannerName,
                                           DiskBalancerDataNode node,
                                           double threshold)

      Gets a planner object.
      Parameters:
        `plannerName` - - name of the planner.
        `node` - - Datanode.
        `threshold` - - percentage
      Returns:
        Planner

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.